stralloc_append(3)

NAME
stralloc_append - append a character to a stralloc

SYNTAX
#include <stralloc.h> int stralloc_append(stralloc* sa,const char* in);

DESCRIPTION
stralloc_append appends the byte from *buf to the string stored in sa, allocating space if necessary, and returns 1. If it runs out of memory, stralloc_append leaves sa alone and returns 0.

SEE ALSO
stralloc_copyb(3)